@keyframes slide {
  0% {
    opacity: 0;
    transform: translateY(-40px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.skill {
  @extend .main-container;
  padding: 5rem 0 15rem;
  box-sizing: border-box;
  margin-bottom: 5rem;

  &__categories {
    @include reset-list;
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin: 5rem 0;
    position: relative;
    cursor: pointer;

    &:after {
      content: '';
      position: absolute;
      @include size(80%, 1px);
      background-color: #000000;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      z-index: -1;
    }
  }

  &__category {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;

    @include font($primary-font, 1.5rem, $font-primary-color, 200);

    &:before {
      content: '';
      @include size(7.5rem, 6.25rem);
      display: block;
      margin-bottom: 1.5rem;
      filter: grayscale(1);
    }

    &:after {
      content: '';
      @include size(2rem, 2rem);
      margin-top: 4rem;
      border: 1px solid #000000;
      background-color: #ffffff;
      transform: translateY(50%);
    }

    &.active {
      &:before {
        filter: grayscale(0);
      }

      &:after {
        filter: grayscale(0);
        box-shadow: 0px 4px 8px rgba(230, 90, 138, 0.32);
        border-image: $base-gradient 1 / 1px;
      }

      .skill__list {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
      }
    }

    @each $name in ('design', 'frontend', 'backend', 'app', 'db', 'services') {
      &.#{$name}:before {
        @include bg('~@/assets/images/icons/skills/#{$name}.svg');
      }
    }
  }

  &__list {
    @include reset-list;
    width: 100%;
    display: none;
    position: absolute;
    bottom: -20%;
    left: 50%;
    transform: translate(-50%, 100%);
    cursor: default;
  }

  &__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0.5rem 2.5rem;
    animation: slide 0.5s ease both;

    @for $i from 1 through 15 {
      &:nth-child(#{$i}) {
        animation-delay: #{$i / 5}s;
      }
    }
  }

  &__icon {
    &:hover {
      filter: grayscale(0);
      transition: 0.3s ease;
    }

    @include size(5rem, 5rem);
    margin-bottom: 1.5rem;
    filter: grayscale(1);
    transition: 0.3s ease;
  }

  &__label {
    margin-bottom: 1.5rem;
    font-weight: 400;
    text-align: center;
  }

  &__category:not(.design) .skill__item {
    max-width: 5.6rem;
  }
}

// TABLET
@include tablet {
  .skill {
    padding: {
      right: 2rem;
      left: 2rem;
    }
    margin-bottom: 2.5rem;
    &__categories {
      margin-bottom: 0;
    }

    &__category {
      font-size: 1.125rem;
      &:before {
        @include size(6.5rem, 5.25rem);
      }

      &:after {
        margin-top: 3rem;
      }
    }
  }
}

// PHONE
@include phone {
  .skill {
    padding: 0 1.5rem;
    &__categories {
      flex-direction: column;
      margin: 0;

      &:after {
        display: none;
      }
    }
    &__category {
      flex-wrap: wrap;
      flex-direction: row;
      padding-left: 2.5rem;
      position: relative;
      &:before {
        display: none;
      }

      &:after {
        margin-top: 0;
        @include size(1.5rem, 1.5rem);
        transform: translateY(0);
        position: absolute;
        left: 0;
        top: 0;
      }

      &.active {
        &:after {
          box-shadow: unset;
          border-image: none;
        }

        .skill__list {
          justify-content: flex-start;
        }
      }
    }

    &__list {
      width: 100%;
      padding: 2.5rem 0 0.5rem;
      position: static;
      display: flex;
      flex-wrap: wrap;
      transform: none;
      position: relative;
      left: -1.6rem;

      &:before {
        content: ' ';
        @include size(1px, 100%);
        position: absolute;
        background-color: #e6e6e6;
        left: -1px;
        top: 50%;
        transform: translateY(-50%);
      }
    }

    &__item {
      margin-bottom: 2rem;
    }

    &__category:not(.design) .skill__item {
      max-width: 3.5rem;
    }

    &__category.design {
      .skill__list {
        flex-direction: column;
        align-items: flex-start;
      }

      .skill__label {
        text-align: left;
      }
    }

    &__icon {
      filter: none;
    }

    &__label {
      font-size: 1.125rem;
    }
  }
}
